Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gameobjects.prop
Class Prop

    java.lang.Object
      com.golden.gamedev.object.Sprite
          com.golden.gamedev.object.AnimatedSprite
              gameobjects.AbstractGameObject
                  gameobjects.prop.Prop

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractGameObject>

    public class Prop

extends AbstractGameObject

This class represents a simple game object that can be placed into a game location. The characters can walk in front and behind of it, but they cannot interact with it.

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`Prop(java.lang.String bshName, double x, double y, com.golden.gamedev.engine.BaseLoader bsLoader, com.golden.gamedev.engine.BaseInput bsInput, com.golden.gamedev.engine.BaseAudio bsSound)` Creates a new prop game object.

Method Summary

Methods inherited from class gameobjects.AbstractGameObject
`compareTo, getAnimPool, getAnimScheduler, getBshName, getBsLoader, getDescription, getGameLocation, getHotspot, getMidX, getMidY, getName, isPicked, render, setDescription, setGameLocation, setName, setToPicked, update`

Methods inherited from class com.golden.gamedev.object.AnimatedSprite
`getAnimationTimer, getFinishAnimationFrame, getFrame, getImage, getImage, getImages, getStartAnimationFrame, isAnimate, isLoopAnim, render, setAnimate, setAnimationFrame, setAnimationTimer, setFrame, setImage, setImages, setLoopAnim`

Methods inherited from class com.golden.gamedev.object.Sprite
`addHorizontalSpeed, addVerticalSpeed, forceX, forceY, getBackground, getDataID, getDistance, getHeight, getHorizontalSpeed, getID, getLayer, getOldX, getOldY, getScreenX, getScreenY, getVerticalSpeed, getWidth, getX, getY, isActive, isImmutable, isOnScreen, isOnScreen, move, moveTo, moveX, moveY, setActive, setBackground, setDataID, setHorizontalSpeed, setID, setImmutable, setLayer, setLocation, setMovement, setSpeed, setVerticalSpeed, setX, setY`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Prop

    public Prop(java.lang.String bshName,
                double x,
                double y,
                com.golden.gamedev.engine.BaseLoader bsLoader,
                com.golden.gamedev.engine.BaseInput bsInput,
                com.golden.gamedev.engine.BaseAudio bsSound)

  Creates a new prop game object. It is initialized with an empty String as its name. Therefore a name cannot be displayed while moving the mouse over it.

  Parameters:
    `bshName` - beanshell name of the prop
    `x` - x coordinate
    `y` - y coordinate
    `bsLoader` -
    `bsInput` -
    `bsSound` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD